@font-face {
	font-family: 'Roboto';
	src: url('../../fonts/Roboto-Bold.woff2') format('woff2');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	src: url('../../fonts/Roboto-Regular.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Roboto';
	src: url('../../fonts/Roboto-SemiBold.woff2') format('woff2');
	font-weight: 600;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: 'Noto Sans';
	src: url('../../fonts/NotoSansJP-Black.woff2') format('woff2');
	font-weight: 900;
	font-style: normal;
	font-display: swap;
}

:root {
	--font-family-base: 'Noto Sans', sans-serif;
	--color-white: #fff;
}

html {
	overflow-x: hidden;
	height: auto;
	min-height: 100%;
}

* {
	box-sizing: border-box;
}

body {
	background-image: url(../../images/BG.png);
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	font-family: var(--font-family-base);
	color: var(--color-white);
	display: flex;
	flex-direction: column;
	position: relative;
	margin: 0;
	padding-inline: 16px;
	min-height: 100vh;
}

.bg-decoration {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;
	z-index: -1;
	overflow: hidden;
}

.bg-decoration__left {
	position: absolute;
	left: 0;
	height: 100%;
}

.bg-decoration__right {
	position: absolute;
	right: 0;
	height: 100%;
}

.hero {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	position: relative;
	z-index: 1;
	flex-shrink: 0;
}

.hero__container {
	display: flex;
	flex-direction: column;
	align-items: center;
	max-width: 816px;
	width: 100%;
	margin-bottom: 36px;
}

.hero__title {
	text-align: center;
	display: flex;
	justify-content: center;
	max-width: 816px;
	margin-bottom: -20px;
}

.hero__title img {
	max-width: 100%;
	height: auto;
	object-fit: contain;
}

.hero__promo {
	display: flex;
	justify-content: center;
	width: 100%;
	margin-top: -10px;
	max-width: 660px;
	margin-bottom: 10px;
}

.promo-block {
	display: flex;
	flex-direction: column;
	align-items: center;
	text-decoration: none;
	position: relative;
	transition: transform 0.3s ease;
	width: 100%;
}

.promo-block:hover {
	transform: scale(1.02);
}

.promo-block__image {
	display: flex;
	justify-content: center;
	z-index: 1;
	width: 100%;
	max-width: 660px;
}

.promo-block__image img {
	max-width: 100%;
	height: auto;
	display: block;
	object-fit: contain;
}

.promo-block__action {
	display: flex;
	justify-content: center;
	width: 100%;
	margin-top: -90px;
	z-index: 2;
}

.promo-block__btn {
	background: linear-gradient(180deg, #f30 0%, #ff5900 78.85%, #ff6300 100%);
	color: #fff;
	font-weight: 900;
	padding: 15px 40px;
	border-radius: 32px;
	width: 100%;
	max-width: 625px;
	box-shadow: 0 -4.297px 3.438px 0 #ff3500 inset;
	text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.4);
	white-space: nowrap;
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
	letter-spacing: 0.5px;
	height: 108px;
	font-size: clamp(1.375rem, 0.898rem + 1.842vi, 2.625rem);
}

.hero__support {
	display: flex;
	justify-content: center;
	width: 100%;
}

.support-box {
	background:
		linear-gradient(180deg, #1fa0f9 0%, #0e63de 100%),
		linear-gradient(90deg, #ff3501 0%, #ff5d00 100%);
	background-clip: padding-box, border-box;
	background-origin: padding-box, border-box;
	border: 3px solid transparent;
	border-radius: 28px;
	padding: 30px 35px;
	font-size: clamp(1rem, 0.619rem + 1.473vi, 2rem);
	font-weight: bold;
	text-align: center;
	color: white;
	box-shadow: 0 4px 15px rgba(0, 0, 0, 0.4);
	width: 100%;
	max-width: 739px;
	text-decoration: none;
	line-height: 32px;
}

.footer {
	width: 100%;
	padding-bottom: 24px;
	position: relative;
	z-index: 1;
	flex-shrink: 0;
}

.footer__container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding-inline: 42px;
	margin: 0 auto;
	gap: 20px;
}

.footer__link {
	color: white;
	text-decoration: none;
	font-size: clamp(0.875rem, 0.732rem + 0.552vi, 1.25rem);
	font-weight: bold;
	border: 2px solid white;
	border-radius: 30px;
	padding: 6px 20px;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	transition:
		background 0.3s,
		color 0.3s;
	text-align: center;
	background: transparent;
	min-height: 48px;
	max-width: 100%;
}

.footer__link:hover {
	background: white;
	color: #0e63de;
}

.footer__socials {
	display: flex;
	gap: 15px;
	align-items: center;
	justify-content: center;
}

.social-icon {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 44px;
	height: 44px;
	border-radius: 50%;
	transition: transform 0.3s;
	text-decoration: none;
}

.social-icon:hover {
	transform: translateY(-3px);
}

@media (max-width: 867px) {
	.footer__container {
		padding: 0;
	}

	.support-box {
		padding: 15px 18px;
	}

	.footer__container {
		flex-direction: column;
		row-gap: 10px;
		margin-bottom: 24px;
	}

	.hero__title {
		max-width: 600px;
	}

	.support-box {
		border-radius: 14px;
	}
}

@media (max-width: 600px) {
	.promo-block__btn {
		padding: 22px 16px;
		height: 60px;
		border-radius: 18px;
	}

	.promo-block {
		margin-bottom: 10px;
	}

	.promo-block__action {
		margin-top: -35px;
	}

	.hero__container {
		margin-bottom: 60px;
	}

	body {
		padding: 36px 16px;
	}

	main {
		align-items: start;
		flex-grow: 0;
	}
}

@media (max-width: 500px) {
	.promo-block__action {
		margin-top: -25px;
	}
}
